<?php
   /***************************************************************************
                          index.php - index page of the site
                             -------------------
    begin                : Mars  UTC 2001-2005
    copyright            : (C) 2002 by NADAL Jean-Baptiste
    email                : jbnadal@ifrance.com
   ***************************************************************************
   *
   *  Page Principale du site de l'Harmonie de Montpellier-Jacou
   *
   ***************************************************************************
   *                                                                         *
   *   This program is free software; you can redistribute it and/or modify  *
   *   it under the terms of the GNU General Public License as published by  *
   *   the Free Software Foundation; either version 2 of the License, or     *
   *   (at your option) any later version.                                   *
   *                                                                         *
   ***************************************************************************/
 
/* Get the values of parameters. */
$page = $_GET['page'];
if ($page == "") {
   $page = $_POST['page'];
}

$action = $_GET['action'];
$titre = $_GET['titre'];
$texte = $_GET['texte'];
$datecourante = $_GET['datecourante'];
$elem = $_GET['elem'];

if ($elem == "") {
   $elem = $_POST['elem'];
}
$id = $_GET['id'];

$startTime = microtime();
$topdir = "./";
$libdir = $topdir."Scripts/";

require $libdir."Archi.php";
require $libdir."cadre.php";
require $libdir."compteur.php";
require $libdir."lib_print_ajem.php";
require $libdir."Stats.php";
require $libdir."NousSommesLe.php";
require $libdir."ErreurConnect.php";
require $libdir."menuEntries.php";
require $libdir."menu.php";

/* Open the session. */
session_start ();
/* Get parameters of the session.*/
$pseudo = $_SESSION['pseudo'];
$state = $_SESSION['state'];



echo "<!DOCTYPE html>";
echo "<html lang=\"fr\">";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />";

// Variable globale permettant de mettre a jour ou non le compteur
$MAJCPT = 0;
$VuePage = FALSE;

// On cree l'ossature du site
$pCompteur = new Compteur ($MAJCPT);
$pCompteur->GetCompteur();
$date = retourneDateduJour();
$pOssature = new Archi ("Scripts/Haut.html", $pCompteur->GetCompteur(), $date);

$pStartistique = new Stats ($HTTP_REFERER ,$REMOTE_ADDR, $HTTP_USER_AGENT, 
                            $adminCOO);

// On regarde si le fichier a recu un paramètre
if ($page == "") {
   $page = "editorial";
}

/*  On genere le debut de la page
 *  Si la variable page contient la chaine debut, cela veut dire que
 *  c'est la première connexion de l'utilisateur dans ce case on affiche 
 *  la balise body qui permettra de supprimer le bandeau de pub au bout
 *  de 4 secondes 
 */
   if ($page == "debut") {
      global $MAJCPT;

      $pOssature->AffichePartieHaut (1, 1);
      $page = "editorial";
      $MAJCPT = 1;
   } 
   else
      $pOssature->AffichePartieHaut (0, 0);

/* Include the necessary file. */
if (($state & $MODERATOR) || ($state & $USER_ADMIN))
   include  "$libdir/lib_print_admin.php";
   
/* Analyse the wich of the Moderator. */
if ($state & $MODERATOR) {

   switch ($page) {
      case "AdmUsers":
         include "$libdir/AnnuUsers.php";
         print_AdmUsers ($action, $elem, $userpseudo, $userpassword, 
                         $useremail, $userstate);
         $pOssature->AffichePartieBas ();
         break;
   }
}


/* Analyse the wich of the Administrator. */
if ($state & $USER_ADMIN) {
   if ($action == "")
      $action = $_POST['action'];   
   switch ($page)  {
      
      case "M_edito":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   
            
            MiseAjourTable ($titre, $texte, $datecourante, "cadre_edito", 
                            "Editorial");
            include "$libdir/news.php";
            $mesNews = new News ();
            $mesNews->Ajoute (1, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB ($action, "cadre_edito", "M_edito");
         $pOssature->AffichePartieBas ();
         break;
      case "M_Hist":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   
            
            MiseAjourTable ($titre, $texte, $datecourante,
                            "cadre_Historique", "Historique");
            include "$libdir/news.php";
            $mesNews = new News ();
            $mesNews->Ajoute(2, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB ($action, "cadre_Historique",
                                        "M_Hist");
         $pOssature->AffichePartieBas ();
         break;
      case "M_revue":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   

            MiseAjourTable ($titre, $texte, $datecourante,
                            "cadre_la_Revue", "La Revue");
            include "$libdir/news.php";
            $mesNews = new News ();
            $mesNews->Ajoute (11, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB ($action, "cadre_la_Revue",
                                        "M_revue");
         $pOssature->AffichePartieBas ();
         break;
      case "M_Fonctionnement":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   

            MiseAjourTable ($titre, $texte, $datecourante,
                           "cadre_Fonctionnement", "Fonctionnement");
            include "$libdir/news.php";
            $mesNews = new News ();
            $mesNews->Ajoute (5, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB ($action, "cadre_Fonctionnement",
                                        "M_Fonctionnement");
         $pOssature->AffichePartieBas ();
         break;
      case "M_Contacts":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   

            MiseAjourTable ($titre, $texte, $datecourante,
                            "cadre_Contacts", "Contacts");
            include "$libdir/news.php";
            $mesNews = new News ();
            $mesNews->Ajoute (6, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB ($action, "cadre_Contacts",
                                        "M_Contacts");
         $pOssature->AffichePartieBas ();
         break;
      case "ModRepIndex":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   
            
            MiseAjourTable ($titre, $texte, $datecourante,
                            "cadre_Repertoire", "Repertoire");
         }
         else {
            AfficheModeficationCadreDB ($action, "cadre_Repertoire",
                                        "ModRepIndex");
         }
         $pOssature->AffichePartieBas ();
         break;
      case "M_Recrutement":
         $nligneTable = $_GET['nligneTable'];
         
         if ($action == "valider") {
            include "$libdir/news.php";
            $titre = $_POST['titre'];
            $texte = $_POST['texte'];
            $nligneTable = $_POST['nligneTable'];

            MiseAjourTable ($titre, $texte, $datecourante,
                            "cadre_Recrutement", "Recrutement", $nligneTable);
            $mesNews = new News ();
            $mesNews->Ajoute (7, $datecourante, ""); 
         }
         else {
            if ($nligneTable == "")
               print_AdminRecrutement ($nligneTable);
            else
               AfficheModeficationCadreDB ($action, "cadre_Recrutement",
                                           "M_Recrutement", $nligneTable);
         }
         $pOssature->AffichePartieBas ();
         break;
      case "AdmMembres":
         if ($action == "valider") {
            $titre = $_POST['titre'];   
            $texte = $_POST['texte'];   
            
            MiseAjourTable ($titre, $texte, $datecourante, "cadre_membres", 
                            "Membres");
            include "$libdir/news.php";
            $mesNews = new News ();
            $mesNews->Ajoute (11, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB ($action, "cadre_membres", "AdmMembres");
         $pOssature->AffichePartieBas ();
         break;
      case "AdmLivOR":
         $livorPage = $_GET['livorPage'];
         if ($livorPage == "")
            $livorPage = $_POST ['livorPage'];
         print_AdminLivre_OR ($livorPage);
         $pOssature->AffichePartieBas ();
         break;
      case "AdmDownload":
         include "$libdir/Annuaire.php";
         $elem = $_GET['elem'];
         $nom = $_GET['nom'];
         $url = $_GET['url'];
         $description = $_GET['description'];
         $urlmini = $_GET['urlmini'];
         $sizeurl = $_GET['sizeurl'];
         $sizeurlmini = $_GET['sizeurlmini'];
         print_Admindownload ($action, $elem, $nom, $url, $description,
                              $urlmini, $sizeurl, $sizeurlmini);
         $pOssature->AffichePartieBas ();
         break;      
      case "AdmAlbums":
         include "$libdir/AlbumPhotos.php";
         $action = $_GET['action'];
         if ($action == "") {
            $action = $_POST['action'];
         }
         $elem = $_GET['elem'];
         if ($elem == "") {
            $elem = $_POST['elem'];
         }
         $name = $_POST['name']; 
         $place = $_POST['place'];
         $dep = $_POST['dep'];
         $ordre = $_POST['ordre'];
         $day = $_POST['day'];
         $month = $_POST['month'];
         $year = $_POST['year'];
         print_AdminAlbumPhotos ($page, $action, $name, $place, $dep,$ordre,
                                 $day, $month, $year,$elem);

         $pOssature->AffichePartieBas ();
         break;
      case "AdmLinks":
         include  "$libdir/Annuaire.php";
         $nom = $_POST['nom'];
         $url = $_POST['url'];
         $description = $_POST['description'];
         $type = $_POST['type'];
         print_AdminLinks ($action, $elem, $nom, $url, $description, 
                           $type);
         $pOssature->AffichePartieBas ();
         break;
      case "M_Rep":
         include "$libdir/AnnuRepertoire.php";
         $num = $_POST['num'];
         $nom = $_POST['nom'];
         $compositeur = $_POST['compositeur'];
         $style = $_POST['style'];
         print_AdminRepertoire ($action, $elem, $num, $nom, $compositeur,
                                $style);
         $pOssature->AffichePartieBas ();
         break;
      case "M_InfoC":
         include  "$libdir/AnnuAgenda.php";
         $nAction = $_GET['nAction'];
         if ($nAction == "")
            $nAction = $_POST['nAction'];
         $nbmorceaux = $_POST['nbmorceaux'];
         $heure = $_POST['heure'];
         $Mins = $_POST['Mins'];
         $month = $_POST['month'];
         $day = $_POST['day'];
         $year = $_POST['year'];
         $ville = $_POST['ville'];
         $lieu = $_POST['lieu'];
         $listemorceaux = $_POST['listemorceaux'];
         $commentaire = $_POST['commentaire'];
         $Forcenb = $_POST['Forcenb'];
         
         /* On va formater les différents paramètres afin de pouvoir remplir
          * les champs. On commence par la liste des morceaux 
          */
         if (($nAction == "ValideAjouter") || 
             ($nAction == "ValideModifier")) {
            $deb = 0;
            for ($i = 1; $i <= $nbmorceaux; $i++) {
               if ($deb == 0)
                  $listemorceaux = $_POST["morceau_".$i];
               else
                  $listemorceaux = $listemorceaux.";".$_POST["morceau_".$i];
               $deb++;
            }
            /* Puis la date que l'on passe au format php. */
            $datephp = mktime ($heure, $Mins, 0, $month, $day, $year);
            if ($day <= 9)
               $day = "0$day";
            if ($month <= 9)
               $month = "0$month";
            $dateTexte = "$day / $month / $year";
            $heuredeb = "$heure h $Mins";
/*            echo "nb morceaux $nbmorceaux  <br>
                        heure : $heure <br>
                        Mins : $Mins<br>
                        vile : $ville <br>
                        lieu : $lieu <br>
                        Jour : $day <br>
                        Mois : $month<br>
                        Année : $year<br>
                        elem : $elem<br>
                        commentaire : $commentaire <br>
                        nbmorceaux : $nbmorceaux <br>
                        morceaux : $listemorceaux  <br>\n";*/
         }

         print_AdminAgenda ($nAction, $elem, $dateTexte, $datephp,
                            $heuredeb, $ville, $lieu, $listemorceaux,
                            $commentaire, $Forcenb);
         $pOssature->AffichePartieBas ();
         break;
      case "SuppElemLVOR":
         $num_id = $_GET['num_id'];
         if ($num_id == "")
            $num_id = $_POST['num_id'];

         print_Supp_Element_Liv_OR ($num_id, $action);
         $pOssature->AffichePartieBas ();
         break;
      case "StatSite":
         print_Statistique ();
         $pOssature->AffichePartieBas ();
         break;
      case "Journal":
         print_Journal_Modification ();
         $pOssature->AffichePartieBas ();
         break;
      case "AdmNews":
         $newsTxt = $_GET['newsTxt'];
         
         print_News ($numNews, $datecourante, $newsTxt);
         $pOssature->AffichePartieBas ();
         break;
   }
}

/* Analyse the wich of member. */
if ($pseudo != "") {

   switch ($page) {
      case "EDforum":
         $id = $_GET['id'];
         
         include "./forum/forum.php";
         print_forum ($option, $id);
         $pOssature->AffichePartieBas ();
         $pStartistique->IncStatPage ("Forum");
         break;
      case "membres":
         
         print_Membres ();
         $pOssature->AffichePartieBas ();
         break;
      case "scores":
         $id = $_GET['id'];
         print_Scores ($id);
         $pOssature->AffichePartieBas ();
         break;
   }
}

/* Print the Wich of a classical user. */
switch ($page) {
   
   case "editorial":
      print_editorial ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("editorial");
      break;
   case "histoire":
      print_histoire ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("histoire");
      break;
   case "repertoire":
      $opt = $_GET['opt'];
      print_repertoire ($opt);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("répertoire");
      break;
   case "Mus_Ligne":
      print_Musique_enLigne ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("Musique en Ligne");
      break;
   case "Video":
      print_Video_enLigne ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("Video");
      break;
   case "info_concerts":
      $opt = $_GET['opt'];
      print_info_concerts ($opt, $id);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("info_concerts");
      break;
   case "presse":
      $article = $_GET['article'];
      print_presse ($article);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("presse");
      break;
   case "revue":
      print_La_Revue ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("La_Revue");
      break;
   case "albums_photos":
      include "$libdir/AlbumPhotos.php";   
      $palb = $_GET['palb'];
      $img = $_GET['img'];
      
      print_albums_photos ($page, $palb, $img);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("Albums_photos");
      break;
   case "album_photo":
      $palb = $_GET['palb'];
      $img = $_GET['img'];
      
      print_album_photo ($palb, $img);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("Album_photo");
      break;
   case "fonctionnement":
      print_fonctionement ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("fonctionnement");
      break;
   case "recrutement":
      $num = $_GET['num'];
      
      if ($num == "")
         $num =1;
      print_Recrutement ($num);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("recrutement");
      break;
   case "contacts":
      print_contacts ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("contacts");
      break;
   case "repetition":
      print_repetition ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("repetition");
      break;
   case "livre_or":
      include "$libdir/Livredor.php";
      $livorPage = $_GET['livorPage'];
      
      print_Livre_OR ($livorPage);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("LivreOR");
      break;
   case "SigneLOr":
      /* pseudo */
      $pseudo = $_GET['pseudo'];
      if ($pseudo == "") 
         $pseudo = $_POST['pseudo'];
      /* email */
      $email = $_GET['email'];
      if ($email == "")
         $email = $_POST['email'];
      /* pays */
      $pays = $_GET['pays'];
      if ($pays == "")
         $pays = $_POST['pays'];
      /* message */
      $message = $_GET['message'];
      if ($message == "")
         $message = $_POST['message'];
      
      print_Valide_Livre_OR ($pseudo, $email, $pays, $message, 
                             $datecourante);
      $pOssature->AffichePartieBas ();
      break;
   case "liens":
      print_Liens ();
      $pOssature->AffichePartieBas ();
      break;
   case "musicales":
        $pMonCadre = new CadreFichier ("musicals.html", 2);
        $pMonCadre->setTitre ("Comedies musicales");
        $pMonCadre->Affiche ();
        $pStartistique->IncStatPage ("Musicales");
        $pOssature->AffichePartieBas ();
        break;
   case "forum":
      include "./forum/forum.php";
      $option = $_GET['option'];
      
      print_forum ($option, $id);
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("Forum");
      break;
   case "EDforum":
      $donnee ="<br><br>
                <table><tr>
                  <td>
                    <img src=$racine/Imgs/panneau.gif alt=panneau >
                  </td>
                  <td>
                    <b> Désolé vous devez avoir un compte pour &eacute;crire
                        sur le forum. </b>
                    </br>
                    Si vous &ecirc;tes membre de l'OHMJ et que vous n'avez pas
                   de compte. envoyer un mail au <a href=\"mailto:ohmj@fr.st\">
                   Webmaster </a> du site.</br>
                  </td>
                </tr></table><br><br>";
      $pMonCadre = new Cadre ("D&eacute;sol&eacute;", $donnee, 
                              date ("d/m/Y H:i:s"));
      $pMonCadre->Affiche ();
      $pOssature->AffichePartieBas ();
      break;
   case "erreur":
      $donnee ="<br><br>
                <table><tr>
                  <td>
                    <img src=$racine/Imgs/panneau.gif alt=panneau >
                  </td>
                  <td>
                    <b> Erreur de connexion, vérifiez votre login et
                                votre mot de passe ! </b>
                  </td>
                </tr></table><br><br>";
      $pMonCadre = new Cadre ("Erreur", $donnee, date ("d/m/Y H:i:s"));
      $pMonCadre->Affiche ();
      $pOssature->AffichePartieBas ();
      $pStartistique->IncStatPage ("ERREUR");
      break;
}


if ($VuePage == FALSE) {

   $donnee ="<br><br>
             <table><tr>
               <td>
                 <img src=$racine/Imgs/panneau.gif alt=panneau >
               </td>
               <td>
                 <b> Désolé, cette page n'existe pas.</b>
               </td>
             </tr></table>";
   $pMonCadre = new Cadre ("Erreur", $donnee, date ("d/m/Y H:i:s"));
   $pMonCadre->Affiche ();
   $pOssature->AffichePartieBas ();
   $pStartistique->IncStatPage ("home_default");
}


function AfficheVersionDuSite ()
{
   global $numVersion;
   echo "<br><br><div align=\"right\"> version du site : <font color=blue>
         $numVersion </font></div>\n";
}

?>
